minimum version of IntelliJ IDEA that supports Java 8?

Searched but cold not find the answer.
What is the minimum version of IntelliJ IDEA that supports Java 8 - both for developing Java 8 based projects and running IntelliJ itsel?

Thanks,
-Neville

2 comments

Some limited support was available in IntelliJ IDEA 10 [2010] (at least 10.5, not sure offhand about 10.0) and 11 [2011]. That was (I believe as I am not a JetBrains developer) entirely or mostly done against the Java 8 specification since beta JDK builds were not yet available. Most Java 8 support was introduced in IntelliJ IDEA 12.0. Support was added and improved throughout the 12.0.x and 12.1.x lines. Some additional improvements (and a couple of additional features) were added to IntelliJ IDEA 13. IDEA 13 was the current version when Java 8.0 was released and therefore the minimum version tested against the official Java 8 release.

You could likely get by using IntelliJ IDEA 12 to work on Java 8 code as long as you know there are a few quirks. But 13 would be your best bet.

0

Thanks for the quick response Mark!

0

Please sign in to leave a comment.